Subject: RE: [hackers-il] \r\n

From: "Ofir Carny" <[email-masked]>
Date: Wed, 5 Jun 2002 15:18:08 +0200

I think it have something to do with an old terminal's escape codes convention. But I am really not sure.

-----Original Message-----
From: Arik Baratz 
Sent: Wednesday, June 05, 2002 3:16 PM
To: [email-masked]
Subject: [hackers-il] \r\n

I have a question for you all.

We all know that the UNIX convention for the end-of-line character is a CR (0x0d), while the DOS/Windows convention is CR/LF (0x0d 0x0a).

When did the practice of using CR/LF begin? Did Bill Gates steal it from CP/M? I know VMS follows the UNIX convention - can't be from there.

What is the historical reason for it? Surely if a printer works under UNIX it doesn't need the extra LF.

********************************************************
This email has been scanned by Port Authority.

********************************************************

To unsubscribe from this group, send an email to:
[email-masked]

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/